CreateAppCommand.CreateAppCommandObject (Grails 6.0.0)

Package: org.grails.cli.profile.commands

## [Groovy] Class CreateAppCommand.CreateAppCommandObject

- org.grails.cli.profile.commands.CreateAppCommand.CreateAppCommandObject

-     static class CreateAppCommand.CreateAppCommandObject
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `appName` |
    `private java.io.File` | `baseDir` |
    `private GrailsConsole` | `console` |
    `private java.util.List<java.lang.String>` | `features` |
    `private java.lang.String` | `grailsVersion` |
    `private boolean` | `inplace` |
    `private java.lang.String` | `profileName` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `appName`
    `java.io.File` | `baseDir`
    `GrailsConsole` | `console`
    `java.util.List<java.lang.String>` | `features`
    `java.lang.String` | `grailsVersion`
    `boolean` | `inplace`
    `java.lang.String` | `profileName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreateAppCommand.CreateAppCommandObject ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String appName

    - #### private java.io.File baseDir

    - #### private GrailsConsole console

    - #### private java.util.List<java.lang.String> features

    - #### private java.lang.String grailsVersion

    - #### private boolean inplace

    - #### private java.lang.String profileName

  - ### Property Detail

    - #### java.lang.String appName

    - #### java.io.File baseDir

    - #### GrailsConsole console

    - #### java.util.List<java.lang.String> features

    - #### java.lang.String grailsVersion

    - #### boolean inplace

    - #### java.lang.String profileName

  - ### Constructor Detail

    - #### CreateAppCommand.CreateAppCommandObject()